--- title: "Get Program Information" slug: "get-program-information" updated: 2026-08-18T07:47:42Z published: 2026-08-18T07:47:42Z canonical: "help.awin.com/get-program-information" --- > ## Documentation Index > Fetch the complete documentation index at: https://help.awin.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Program Information Get/publishers/{publisherId}/programmes > [!NOTE] > This API is Available on Zapier > > Automate your workflows with Zapier's easy to use workflow builder. Read more [here](/apis/apidocs/about-zapier) or go directly our [Zapier Integration Page](https://zapier.com/apps/awin/integrations). **GET programs** Partners can check programmatically, with which programs they currently have an active, pending, suspended, rejected or not joined relationship. They can also check the whole program list, and filter by program region/country. **Who can use it?** Partners Header parametersAuthorizationstring accessToken Path parameterspublisherIdstringRequired publisher id Query parametersaccessTokenstringRequired access token countryCodestring country code has to be ISO Alpha-2, i.e. GB, DE, FR, ... includeHiddenboolean Only works when no relationship is specified relationshipstring relationship Valid values[ "joined", "pending", "suspended", "rejected", "notjoined" ] Responses200 OK Array of object object clickThroughUrlstring currencyCodestring descriptionstring displayUrlstring idinteger (int64) linkStatusstring logoUrlstring namestring primaryRegionobject (PrimaryRegion) countryCodestring namestring primarySectorstring statusstring validDomains Array of object (Domain) object domainstring Which data fields do we provide? | Field name | Description | | --- | --- | | Description | Advertiser program description | | DisplayUrl | Program display URL | | LogoUrl | URL to the logo of the program | | ClickThroughUrl | Program click-through URL | | Id | Advertiser program ID | | Name | Program name | | CurrencyCode | ISO code of the currency of the program | | PrimaryRegion | Program primary region | | Status | Program status. Can be active or hidden | | ValidDomains | List of the program valid domains | | LinkStatus | Current status of links, which can be either "online" or "offline" - this applies only to programs that are funded through prepayment funds |